package com.qmth.distributed.print.business.bean.result.report.studentRequirement;

public class CourseTargetRequirement {

    private Long subRequirementId;
    private Long requirementId;
    private String requirementName;
    private Integer requirementSortNum;
    private Double courseTargetDegree;

    public CourseTargetRequirement() {
    }

    public CourseTargetRequirement(Long subRequirementId, Long requirementId, String requirementName, Integer requirementSortNum) {
        this.subRequirementId = subRequirementId;
        this.requirementId = requirementId;
        this.requirementName = requirementName;
        this.requirementSortNum = requirementSortNum;
    }

    public Long getSubRequirementId() {
        return subRequirementId;
    }

    public void setSubRequirementId(Long subRequirementId) {
        this.subRequirementId = subRequirementId;
    }

    public Long getRequirementId() {
        return requirementId;
    }

    public void setRequirementId(Long requirementId) {
        this.requirementId = requirementId;
    }

    public String getRequirementName() {
        return requirementName;
    }

    public void setRequirementName(String requirementName) {
        this.requirementName = requirementName;
    }

    public Integer getRequirementSortNum() {
        return requirementSortNum;
    }

    public void setRequirementSortNum(Integer requirementSortNum) {
        this.requirementSortNum = requirementSortNum;
    }

    public Double getCourseTargetDegree() {
        return courseTargetDegree;
    }

    public void setCourseTargetDegree(Double courseTargetDegree) {
        this.courseTargetDegree = courseTargetDegree;
    }
}
